#include <iostream>

using namespace std;

int main()
{
    int a1, a2;
    char slova[3];
    
    cin>>slova;
    cin>>a1>>a2;
    
    if(a1 > a2 + 1 || a1 + 1 < a2)
        cout<<"nemoguce";

    return 0;
}